List conversation participants for staff inbox
GET
/api/conversations/participants
const url = 'https://api.getvespy.com/api/conversations/participants?participantType=tenant';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.getvespy.com/api/conversations/participants?participantType=tenant' \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Query Parameters
Section titled “Query Parameters”participantType
string
search
string
limit
integer
offset
integer
Responses
Section titled “Responses”Default Response
Media typeapplication/json
object
participants
required
Array<object>
object
channels
required
Array<string>
conversationCount
required
integer
lastMessageAt
required
string format: date-time
latestMessageChannel
required
string
latestMessagePreview
required
string
openConversationCount
required
integer
participantEmail
required
string format: email
participantId
required
string format: uuid
participantName
required
string
participantPhone
required
string
participantType
required
string
unreadCount
required
integer
total
required
integer
unreadCount
required
integer
Example
{ "participants": [ { "channels": [ "in_app" ], "latestMessageChannel": "in_app", "participantType": "tenant" } ]}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}Default Response
Media typeapplication/json
object
code
string
errors
Array<object>
object
code
required
string
message
required
string
path
required
string
message
required
string
Examplegenerated
{ "code": "example", "errors": [ { "code": "example", "message": "example", "path": "example" } ], "message": "example"}